#
# spec file for package python3-EasyProcess
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-EasyProcess
Version:        0.1.9
Release:        5.2
Url:            https://github.com/ponty/easyprocess
Summary:        Easy to use python subprocess interface
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/E/EasyProcess/EasyProcess-%{version}.tar.gz
BuildRequires:  python3
BuildRequires:  python3-2to3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
BuildArch:      noarch

%description
EasyProcess is an easy to use python subprocess interface.

Features:
 - layer on top of subprocess module
 - easy to start, stop programs
 - easy to get standard output/error, return code of programs
 - command can be list or string
 - logging
 - timeout
 - unit-tests
 - cross-platform, development on linux
 - global config file with program aliases 
 - shell is not supported
 - pipes are not supported
 - stdout/stderr is set only after the subprocess has finished
 - stop() does not kill whole subprocess tree 
 - unicode support
 - supported python versions: 2.5, 2.6, 2.7, 3.1, 3.2, PyPy
 
%prep
%setup -q -n EasyProcess-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python3_sitelib}/*

%changelog
* Sun Mar 22 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.1.9:
  * fix pypi name
- changes from version 1.8:
  * remove versioneer
  * fix landscape warnings
  * drop py31 support
  * badges
- changes from version 1.7:
  * tox+req
  * fix coveralls
  * switch back to setuptools
  * upgrade versioneer
  * fix travis
  * update readme
  * increase timeout in deadlock test
  * update pavement
  * add versioneer
  * update classifiers
  * update tox
  * remove Xephyr test
  * versioneer in gitattributes
  * add travis and coverall config
  * remove requirements.txt and install_requires
  * make repr shorter
  * simplified pavement tasks
  * better log
  * test deadlock
* Sun Feb 17 2013 p.drouand@gmail.com
- Update to version 0.1.6:
  * No changelog available
* Sat Feb 16 2013 p.drouand@gmail.com
- Update to version 0.1.5:
  * No changelog available
- Remove the depreciated "BuildRoot" entry
* Mon Jan 14 2013 saschpe@suse.de
- Drop requires on "python(abi)", RPM does that automatically
* Thu Jan 10 2013 p.drouand@gmail.com
- Initial python3 support package
